Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

Before a can send and receive data, it must first be created using an , a , and a . The enumeration provides several options for defining the type of that you intend to open.

will sometimes implicitly indicate which will be used within an . For example when the is , the is always .When the is , the is always . If you try to create a with an incompatible combination, will throw a .

Specifies the type of socket that an instance of the class represents.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketType Dgram

  Supports datagrams, which are connectionless, unreliable messages of a fixed (typically small) maximum length. Messages might be lost or duplicated and might arrive out of order. A of type requires no connection prior to sending and receiving data, and can communicate with multiple peers. uses the Datagram Protocol () and the .

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketType Raw

  Supports access to the underlying transport protocol. Using the , you can communicate using protocols like Internet Control Message Protocol () and Internet Group Management Protocol (). Your application must provide a complete IP header when sending. Received datagrams return with the IP header and options intact.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketType Rdm

  Supports connectionless, message-oriented, reliably delivered messages, and preserves message boundaries in data. Rdm (Reliably Delivered Messages) messages arrive unduplicated and in order. Furthermore, the sender is notified if messages are lost. If you initialize a Socket using , you do not require a remote host connection before sending and receiving data. With , you can communicate with multiple peers.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketType Seqpacket

  Provides connection-oriented and reliable two-way transfer of ordered byte streams across a network. does not duplicate data, and it preserves boundaries within the data stream. A Socket of type communicates with a single peer and requires a remote host connection before communication can begin.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketType Stream

  Supports reliable, two-way, connection-based byte streams without the duplication of data and without preservation of boundaries. A Socket of this type communicates with a single peer and requires a remote host connection before communication can begin. uses the Transmission Control Protocol () and the InterNetwork .

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketType Unknown

  Specifies an unknown Socket type.

  0
0